ONVIF::Media::Types::FindEventResultList(3)

NAME
ONVIF::Media::Types::FindEventResultList

DESCRIPTION
Perl data type class for the XML Schema defined complexType FindEventResultList from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SearchState

•   Result

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::FindEventResultList
   SearchState => $some_value, # SearchState
   Result =>  { # ONVIF::Media::Types::FindEventResult
     RecordingToken => $some_value, # RecordingReference
     TrackToken => $some_value, # TrackReference
     Time =>  $some_value, # dateTime
     Event =>  $some_value, # anyType
     StartStateEvent =>  $some_value, # boolean
   },
 },

AUTHOR
Generated by SOAP::WSDL